Package weka.classifiers.functions.explicitboundaries.models

# Class MultilayerPerceptronBoundary

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.functions.MultilayerPerceptron
weka.classifiers.functions.explicitboundaries.models.MultilayerPerceptronBoundary

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `ClassifierWithBoundaries`, `weka.classifiers.IterativeClassifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.Randomizable`, `weka.core.RevisionHandler`, `weka.core.WeightedInstancesHandler`

public class MultilayerPerceptronBoundary extends weka.classifiers.functions.MultilayerPerceptron implements ClassifierWithBoundaries

Since:
  0.1.0
Version:
  2.2.1
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultilayerPerceptronBoundary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances i)`
  `void`
  `calcBoundary()`
  `double[]`
  `distributionForInstance(weka.core.Instance instance)`
  `DecisionBoundary`
  `getBoundary()`
  Returns decision boundaries of the classifier
  `weka.core.Capabilities`
  `getCapabilities()`
  `static void`
  `main(String[] args)`
  `void`
  `setDebug(boolean debug)`

  ### Methods inherited from class weka.classifiers.functions.MultilayerPerceptron

  `autoBuildTipText, blocker, decayTipText, done, getAutoBuild, getDecay, getGUI, getHiddenLayers, getLearningRate, getMomentum, getNominalToBinaryFilter, getNormalizeAttributes, getNormalizeNumericClass, getOptions, getReset, getResume, getRevision, getSeed, getTrainingTime, getValidationSetSize, getValidationThreshold, globalInfo, GUITipText, hiddenLayersTipText, initializeClassifier, learningRateTipText, listOptions, momentumTipText, next, nominalToBinaryFilterTipText, normalizeAttributesTipText, normalizeNumericClassTipText, resetTipText, resumeTipText, seedTipText, setAutoBuild, setDecay, setGUI, setHiddenLayers, setLearningRate, setMomentum, setNominalToBinaryFilter, setNormalizeAttributes, setNormalizeNumericClass, setOptions, setReset, setResume, setSeed, setTrainingTime, setValidationSetSize, setValidationThreshold, toString, trainingTimeTipText, validationSetSizeTipText, validationThresholdTipText`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `classifyInstance`

- ## Constructor Details

  - ### MultilayerPerceptronBoundary

    public MultilayerPerceptronBoundary()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances i) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Overrides:
      `buildClassifier` in class `weka.classifiers.functions.MultilayerPerceptron`
    Throws:
      `Exception`

  - ### calcBoundary

    public void calcBoundary() throws Exception
    Throws:
      `Exception`

  - ### getCapabilities

    public weka.core.Capabilities getCapabilities()
    Specified by:
      `getCapabilities` in interface `weka.core.CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `weka.classifiers.Classifier`
    Overrides:
      `getCapabilities` in class `weka.classifiers.functions.MultilayerPerceptron`

  - ### getBoundary

    public DecisionBoundary getBoundary() throws Exception
    Description copied from interface: `ClassifierWithBoundaries`
    Returns decision boundaries of the classifier
    Specified by:
      `getBoundary` in interface `ClassifierWithBoundaries`
    Returns:
      Decision boundaries
    Throws:
      `Exception`

  - ### setDebug

    public void setDebug(boolean debug)
    Overrides:
      `setDebug` in class `weka.classifiers.AbstractClassifier`

  - ### main

    public static void main(String[] args)

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance instance) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.functions.MultilayerPerceptron`
    Throws:
      `Exception`